
;    DOT4 Driver Interface

ifndef _DOT4DRVIF_H
_DOT4DRVIF_H equ 1

FILE_DEVICE_DOT4         equ 03Ah
IOCTL_DOT4_USER_BASE     equ 2049

IOCTL_DOT4_CREATE_SOCKET                 equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  7, METHOD_OUT_DIRECT, FILE_ANY_ACCESS)
IOCTL_DOT4_DESTROY_SOCKET                equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  9, METHOD_OUT_DIRECT, FILE_ANY_ACCESS)
IOCTL_DOT4_WAIT_FOR_CHANNEL              equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  8, METHOD_OUT_DIRECT, FILE_ANY_ACCESS)
IOCTL_DOT4_OPEN_CHANNEL                  equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  0, METHOD_OUT_DIRECT, FILE_ANY_ACCESS)
IOCTL_DOT4_CLOSE_CHANNEL                 equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  1, METHOD_BUFFERED, FILE_ANY_ACCESS)
IOCTL_DOT4_READ                          equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  2, METHOD_OUT_DIRECT, FILE_ANY_ACCESS)
IOCTL_DOT4_WRITE                         equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  3, METHOD_IN_DIRECT, FILE_ANY_ACCESS)
IOCTL_DOT4_ADD_ACTIVITY_BROADCAST        equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  4, METHOD_BUFFERED, FILE_ANY_ACCESS)
IOCTL_DOT4_REMOVE_ACTIVITY_BROADCAST     equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  5, METHOD_BUFFERED, FILE_ANY_ACCESS)
IOCTL_DOT4_WAIT_ACTIVITY_BROADCAST       equ CTL_CODE(FILE_DEVICE_DOT4, IOCTL_DOT4_USER_BASE +  6, METHOD_OUT_DIRECT, FILE_ANY_ACCESS)

endif
